diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PreferencesUtil.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PreferencesUtil.java
index d6a89171d..8019b4449 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PreferencesUtil.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PreferencesUtil.java
@@ -55,6 +55,7 @@ import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.description.FeatureTree;
 import eu.etaxonomy.cdm.model.metadata.CdmPreference;
 import eu.etaxonomy.cdm.model.metadata.CdmPreference.PrefKey;
+import eu.etaxonomy.cdm.model.metadata.IPreferencePredicate;
 import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
 import eu.etaxonomy.cdm.model.metadata.PreferenceSubject;
 import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
@@ -438,7 +439,7 @@ public class PreferencesUtil implements IPreferenceKeys {
         if (getBooleanValue(OVERRIDE_NAME_DETAILS) && getBooleanValue(ALLOW_OVERRIDE_NAME_DETAILS)) {
             return getBooleanValue(SHOW_SIMPLE_NAME_DETAILS_SECTION);
         } else{
-            CdmPreference pref = getPreferenceFromDB(PreferencePredicate.NameDetailsView);
+            CdmPreference pref = getPreferenceFromDB(EditorPreferencePredicate.NameDetailsView);
 
             return pref!=null?Boolean.valueOf(pref.getValue()):false;
         }
@@ -446,7 +447,7 @@ public class PreferencesUtil implements IPreferenceKeys {
 
 
 
-    public static CdmPreference getPreferenceFromDB(PreferencePredicate predicate){
+    public static CdmPreference getPreferenceFromDB(IPreferencePredicate predicate){
         ICdmRepository controller;
         CdmPreference pref = null;
 
@@ -766,7 +767,7 @@ public class PreferencesUtil implements IPreferenceKeys {
 		//Distribution Editor:
 		getPreferenceStore().setDefault(createPreferenceString(DISTRIBUTION_AREA_PREFRENCES_ACTIVE), true);
 		getPreferenceStore().setDefault(createPreferenceString(CHECKLIST_AREA_DISPLAY), CHECKLIST_AREA_DISPLAY_TITLE);
-		getPreferenceStore().setDefault(createPreferenceString(CHECKLIST_SYMBOL), false);
+		getPreferenceStore().setDefault(createPreferenceString(CHECKLIST_STATUS_DISPLAY), false);
 
 
 		//Name Details
@@ -784,8 +785,8 @@ public class PreferencesUtil implements IPreferenceKeys {
 		getPreferenceStore().setDefault(createPreferenceString(SHOW_NAME_DETAILS_SECTION_RANK), true);
 		getPreferenceStore().setDefault(createPreferenceString(SHOW_NAME_DETAILS_SECTION_TYPE_DESIGNATION), true);
 		//Navigator preferences
-		getPreferenceStore().setDefault(createPreferenceString(SORT_NODES_NATURALLY), false);
-		getPreferenceStore().setDefault(createPreferenceString(SORT_NODES_ALPHABETICALLY), false);
+		getPreferenceStore().setDefault(createPreferenceString(SORT_NODES), NavigatorOrderEnum.RankAndNameOrder.getKey());
+
 		getPreferenceStore().setDefault(createPreferenceString(SORT_TAXA_BY_RANK_AND_NAME), true);
 		//override db preferences
 		getPreferenceStore().setDefault(createPreferenceString(ABCD_IMPORT_OVERRIDE), false);
@@ -1159,53 +1160,51 @@ public class PreferencesUtil implements IPreferenceKeys {
         }
     }
 
+
+
+
     /**
-	 * <p>
-	 * getSortRanksNaturally
-	 * </p>
-    	 *
-    	 * @return a boolean.
-	 */
-	public static boolean getSortNodesNaturally() {
-		return getBooleanValue(SORT_NODES_NATURALLY);
-	}
+     * @param orderActivated
+     */
+    public static void setSortNodes(NavigatorOrderEnum nodesOrder) {
+        setStringValue(SORT_NODES, nodesOrder.key);
 
-	/**
-	 * <p>
-	 * setSortRanksNaturally
-	 * </p>
-	 *
-	 * @param selection
-	 *            a boolean.
-	 */
-	public static void setSortNodesNaturally(boolean selection) {
-		setBooleanValue(SORT_NODES_NATURALLY, selection);
-	}
+    }
 
+    /**
+     * @param orderActivated
+     */
+    public static NavigatorOrderEnum getSortNodes() {
+        return NavigatorOrderEnum.valueOf(getStringValue(SORT_NODES));
 
-	/**
-	 * <p>
-	 * getSortRanksNaturally
-	 * </p>
-	 *
-	 * @return a boolean.
-	 */
-	public static boolean getSortNodesStrictlyAlphabetically() {
-		return getBooleanValue(SORT_NODES_ALPHABETICALLY);
-	}
+    }
 
-	/**
-	 * <p>
-	 * setSortRanksNaturally
-	 * </p>
-	 *
-	 * @param selection
-	 *            a boolean.
-	 */
-	public static void setSortNodesStrictlyAlphabetically(boolean selection) {
-		setBooleanValue(SORT_NODES_ALPHABETICALLY, selection);
-	}
+    /**
+     * @param orderActivated
+     */
+    public static boolean isNodesSortedNaturally() {
+        NavigatorOrderEnum value = NavigatorOrderEnum.valueOf(getStringValue(SORT_NODES));
+        return value.equals(NavigatorOrderEnum.NaturalOrder);
+
+    }
+
+    /**
+     * @param orderActivated
+     */
+    public static boolean isNodesSortedByName() {
+        NavigatorOrderEnum value = NavigatorOrderEnum.valueOf(getStringValue(SORT_NODES));
+        return value.equals(NavigatorOrderEnum.AlphabeticalOrder);
+
+    }
+
+    /**
+     * @param orderActivated
+     */
+    public static boolean isNodesSortedByNameAndRank() {
+        NavigatorOrderEnum value = NavigatorOrderEnum.valueOf(getStringValue(SORT_NODES));
+        return value.equals(NavigatorOrderEnum.RankAndNameOrder);
 
+    }
 	/**
 	 * <p>
 	 * setStoreNavigatorState
@@ -1247,7 +1246,7 @@ public class PreferencesUtil implements IPreferenceKeys {
      */
     public static boolean isShowIdInVocabularyInChecklistEditor() {
         String area_display = getStringValue(IPreferenceKeys.CHECKLIST_AREA_DISPLAY);
-        if (area_display.equals(CHECKLIST_AREA_DISPLAY_ID_IN_VOCABULARY)) {
+        if (area_display.equals(TermDisplayEnum.IdInVocabulary.getKey())) {
             return true;
         }else{
             return false;
@@ -1255,7 +1254,7 @@ public class PreferencesUtil implements IPreferenceKeys {
     }
     public static boolean isShowSymbol1InChecklistEditor() {
         String area_display = getStringValue(IPreferenceKeys.CHECKLIST_AREA_DISPLAY);
-        if (area_display.equals(CHECKLIST_AREA_DISPLAY_SYMBOL1)) {
+        if (area_display.equals(TermDisplayEnum.Symbol1.getKey())) {
             return true;
         }else{
             return false;
@@ -1263,24 +1262,24 @@ public class PreferencesUtil implements IPreferenceKeys {
      }
     public static boolean isShowSymbol2InChecklistEditor() {
         String area_display = getStringValue(IPreferenceKeys.CHECKLIST_AREA_DISPLAY);
-        if (area_display.equals(CHECKLIST_AREA_DISPLAY_SYMBOL2)) {
+        if (area_display.equals(TermDisplayEnum.Symbol2.getKey())) {
             return true;
         }else{
             return false;
         }
      }
-    public static void setShowIdInVocabularyInChecklistEditor(String selection) {
+    public static void setAreaDisplayInChecklistEditor(String selection) {
         setStringValue(CHECKLIST_AREA_DISPLAY, selection);
     }
 
     /**
      * @return
      */
-    public static boolean isShowSymbolInChecklistEditor() {
-       return getBooleanValue(IPreferenceKeys.CHECKLIST_SYMBOL);
+    public static String displayStatusInChecklistEditor() {
+       return getStringValue(IPreferenceKeys.CHECKLIST_STATUS_DISPLAY);
     }
-    public static void setShowSymbolInChecklistEditor(boolean selection) {
-        setBooleanValue(CHECKLIST_SYMBOL, selection);
+    public static void setDisplayStatusInChecklistEditor(String selection) {
+        setStringValue(CHECKLIST_STATUS_DISPLAY, selection);
     }
 
     /**
@@ -1455,7 +1454,7 @@ public class PreferencesUtil implements IPreferenceKeys {
      *            a {@link eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206ImportConfigurator}
      *            object.
      */
-    public static Abcd206ImportConfigurator getAbcdImportConfigurationPreference() {
+    public static Abcd206ImportConfigurator getDBAbcdImportConfigurationPreference() {
 
         Abcd206ImportConfigurator config = Abcd206ImportConfigurator.NewInstance(null,null);
         ICdmRepository controller;
@@ -1466,46 +1465,19 @@ public class PreferencesUtil implements IPreferenceKeys {
             return null;
         }
         preference = controller.getPreferenceService().find(key);
-        boolean allowOverride = true;
-        if (preference != null && !preference.isAllowOverride()){
-            allowOverride = false;
-        }
-        if (getBooleanValue(IPreferenceKeys.ABCD_IMPORT_OVERRIDE) && allowOverride){
-
-            config.setAddIndividualsAssociationsSuchAsSpecimenAndObservations(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ADD_INDIVIDUALS_ASSOCIATIONS_SUCH_AS_SPECIMEN_AND_OBSERVATIONS));
-
-            config.setAddMediaAsMediaSpecimen(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ADD_MEDIA_AS_MEDIASPECIMEN));
-
-            config.setAllowReuseOtherClassifications(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ALLOW_REUSE_OTHER_CLASSIFICATIONS));
-            config.setDeduplicateClassifications(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_CLASSIFICATIONS));
-            config.setDeduplicateReferences(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_REFERENCES));
-
-            config.setGetSiblings(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DO_SIBLINGS));
-            config.setIgnoreAuthorship(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_IGNORE_AUTHORSHIP));
-            config.setIgnoreImportOfExistingSpecimen(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_IGNORE_IMPORT_OF_EXISTING_SPECIMEN));
-            config.setMapUnitIdToAccessionNumber(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_ACCESSION_NUMBER));
-            config.setMapUnitIdToBarcode(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_BARCODE));
-            config.setMapUnitIdToCatalogNumber(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TOCATALOG_NUMBER));
-            config.setMoveNewTaxaToDefaultClassification(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MOVE_NEW_TAXA_TO_DEFAULT_CLASSIFICATION));
-            config.setOverwriteExistingSpecimens(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_OVERWRITE_EXISTING_SPECIMEN));
-            config.setReuseExistingDescriptiveGroups(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_DESCRIPTIVE_GROUPS));
-            config.setReuseExistingMetaData(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_META_DATA));
-            config.setReuseExistingTaxaWhenPossible(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_TAXA_WHEN_POSSIBLE));
-            config.setNomenclaturalCode(NomenclaturalCode.getByKey(getStringValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_NOMENCLATURAL_CODE)));
+        if (preference == null){
             return config;
-
-        }
-
-            if (preference == null){
-                return config;
-             } else{
+         } else{
              String configString = preference.getValue();
              String[] configArray = configString.split(";");
 
              for (String configItem: configArray){
                  String[] keyValue = configItem.split(":");
                  String keyString = keyValue[0];
-                 String valueString = keyValue[1];
+                 String valueString = null;
+                 if (keyValue.length>1){
+                      valueString = keyValue[1];
+                 }
                  if (keyString.equals("ignoreImportOfExistingSpecimen")){
                      config.setIgnoreImportOfExistingSpecimen(Boolean.valueOf(valueString));
                  }else if (keyString.equals("addIndividualsAssociationsSuchAsSpecimenAndObservations")){
@@ -1542,11 +1514,39 @@ public class PreferencesUtil implements IPreferenceKeys {
                      logger.debug("This key of the abcd configurator needs to be added to the transformer: " + keyString);
                  }
 
-            }
+             }
         }
         return config;
     }
 
+    public static Abcd206ImportConfigurator getLocalAbcdImportConfigurator(){
+       Abcd206ImportConfigurator config = Abcd206ImportConfigurator.NewInstance(null,null);
+
+        config.setAddIndividualsAssociationsSuchAsSpecimenAndObservations(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ADD_INDIVIDUALS_ASSOCIATIONS_SUCH_AS_SPECIMEN_AND_OBSERVATIONS));
+
+        config.setAddMediaAsMediaSpecimen(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ADD_MEDIA_AS_MEDIASPECIMEN));
+
+        config.setAllowReuseOtherClassifications(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ALLOW_REUSE_OTHER_CLASSIFICATIONS));
+        config.setDeduplicateClassifications(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_CLASSIFICATIONS));
+        config.setDeduplicateReferences(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_REFERENCES));
+        config.setRemoveCountryFromLocalityText(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REMOVE_COUNTRY_FROM_LOCALITY_TEXT));
+        config.setGetSiblings(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DO_SIBLINGS));
+        config.setIgnoreAuthorship(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_IGNORE_AUTHORSHIP));
+        config.setIgnoreImportOfExistingSpecimen(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_IGNORE_IMPORT_OF_EXISTING_SPECIMEN));
+        config.setMapUnitIdToAccessionNumber(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_ACCESSION_NUMBER));
+        config.setMapUnitIdToBarcode(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_BARCODE));
+        config.setMapUnitIdToCatalogNumber(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TOCATALOG_NUMBER));
+        config.setMoveNewTaxaToDefaultClassification(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MOVE_NEW_TAXA_TO_DEFAULT_CLASSIFICATION));
+        config.setOverwriteExistingSpecimens(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_OVERWRITE_EXISTING_SPECIMEN));
+        config.setReuseExistingDescriptiveGroups(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_DESCRIPTIVE_GROUPS));
+        config.setReuseExistingMetaData(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_META_DATA));
+        config.setReuseExistingTaxaWhenPossible(getBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_TAXA_WHEN_POSSIBLE));
+        config.setNomenclaturalCode(NomenclaturalCode.getByKey(getStringValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_NOMENCLATURAL_CODE)));
+
+        return config;
+
+    }
+
 
     public static void updateAbcdImportConfigurationPreference() {
 
@@ -1564,28 +1564,33 @@ public class PreferencesUtil implements IPreferenceKeys {
             allowOverride = false;
         }
         if (!getBooleanValue(IPreferenceKeys.ABCD_IMPORT_OVERRIDE) || !allowOverride){
+            resetToDBPreferenceAbcdCOnfigurator();
 
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_ADD_INDIVIDUALS_ASSOCIATIONS_SUCH_AS_SPECIMEN_AND_OBSERVATIONS, config.isAddIndividualsAssociationsSuchAsSpecimenAndObservations());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_ADD_MEDIA_AS_MEDIASPECIMEN, config.isAddMediaAsMediaSpecimen());
-
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_ALLOW_REUSE_OTHER_CLASSIFICATIONS, config.isAllowReuseOtherClassifications());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_CLASSIFICATIONS, config.isDeduplicateClassifications());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_REFERENCES, config.isDeduplicateReferences());
-
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_DO_SIBLINGS, config.isGetSiblings());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_IGNORE_AUTHORSHIP, config.isIgnoreAuthorship());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_IGNORE_IMPORT_OF_EXISTING_SPECIMEN, config.isIgnoreImportOfExistingSpecimen());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_ACCESSION_NUMBER, config.isMapUnitIdToAccessionNumber());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_BARCODE, config.isMapUnitIdToBarcode());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TOCATALOG_NUMBER, config.isMapUnitIdToCatalogNumber());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_MOVE_NEW_TAXA_TO_DEFAULT_CLASSIFICATION, config.isMoveNewTaxaToDefaultClassification());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_OVERWRITE_EXISTING_SPECIMEN, config.isOverwriteExistingSpecimens());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_DESCRIPTIVE_GROUPS, config.isReuseExistingDescriptiveGroups());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_META_DATA, config.isReuseExistingMetaData());
-            setBooleanValue(ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_TAXA_WHEN_POSSIBLE, config.isReuseExistingTaxaWhenPossible());
-            if (config.getNomenclaturalCode() != null){
-                setStringValue(ABCD_IMPORT_CONFIGURATOR_NOMENCLATURAL_CODE, config.getNomenclaturalCode().getKey());
-            }
+        }
+    }
+
+    public static void resetToDBPreferenceAbcdCOnfigurator(){
+        Abcd206ImportConfigurator config = getDBAbcdImportConfigurationPreference();
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_ADD_INDIVIDUALS_ASSOCIATIONS_SUCH_AS_SPECIMEN_AND_OBSERVATIONS, config.isAddIndividualsAssociationsSuchAsSpecimenAndObservations());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_ADD_MEDIA_AS_MEDIASPECIMEN, config.isAddMediaAsMediaSpecimen());
+
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_ALLOW_REUSE_OTHER_CLASSIFICATIONS, config.isAllowReuseOtherClassifications());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_CLASSIFICATIONS, config.isDeduplicateClassifications());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_REFERENCES, config.isDeduplicateReferences());
+
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_DO_SIBLINGS, config.isGetSiblings());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_IGNORE_AUTHORSHIP, config.isIgnoreAuthorship());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_IGNORE_IMPORT_OF_EXISTING_SPECIMEN, config.isIgnoreImportOfExistingSpecimen());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_ACCESSION_NUMBER, config.isMapUnitIdToAccessionNumber());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_BARCODE, config.isMapUnitIdToBarcode());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TOCATALOG_NUMBER, config.isMapUnitIdToCatalogNumber());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_MOVE_NEW_TAXA_TO_DEFAULT_CLASSIFICATION, config.isMoveNewTaxaToDefaultClassification());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_OVERWRITE_EXISTING_SPECIMEN, config.isOverwriteExistingSpecimens());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_DESCRIPTIVE_GROUPS, config.isReuseExistingDescriptiveGroups());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_META_DATA, config.isReuseExistingMetaData());
+        setBooleanValue(ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_TAXA_WHEN_POSSIBLE, config.isReuseExistingTaxaWhenPossible());
+        if (config.getNomenclaturalCode() != null){
+            setStringValue(ABCD_IMPORT_CONFIGURATOR_NOMENCLATURAL_CODE, config.getNomenclaturalCode().getKey());
         }
     }
 
@@ -2002,4 +2007,5 @@ public static void updateDBPreferences() {
 
 
 
+
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PublishEnum.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PublishEnum.java
new file mode 100755
index 000000000..300d3f367
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PublishEnum.java
@@ -0,0 +1,38 @@
+/**
+* Copyright (C) 2018 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.taxeditor.preference;
+
+/**
+ * @author k.luther
+ * @since 19.11.2018
+ *
+ */
+public enum PublishEnum {
+
+    Publish("Publish", "Publish"),
+    NotPublish("NotPublish", "Not Publish"),
+    InheritFromParent("InheritFromParent", "Inherit from Parent");
+
+
+    String label;
+    String key;
+
+    private PublishEnum(String key, String label){
+        this.label = label;
+        this.key = key;
+    }
+
+    public String getLabel(){
+        return label;
+    }
+
+    public String getKey(){
+        return key;
+    }
+}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TermDisplayEnum.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TermDisplayEnum.java
new file mode 100755
index 000000000..bf8f3a2b7
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TermDisplayEnum.java
@@ -0,0 +1,38 @@
+/**
+* Copyright (C) 2018 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.taxeditor.preference;
+
+/**
+ * @author k.luther
+ * @since 15.11.2018
+ *
+ */
+public enum TermDisplayEnum {
+
+    IdInVocabulary("IdInVocabulary", "Show IdInVocabulary"),
+    Symbol1("Symbol1", "Show Symbol1"),
+    Symbol2("Symbol2", "Show Symbol2"),
+    Title("Title", "Show Title");
+
+    String label;
+    String key;
+
+    private TermDisplayEnum(String key, String label){
+        this.label = label;
+        this.key = key;
+    }
+
+    public String getLabel(){
+        return label;
+    }
+
+    public String getKey(){
+        return key;
+    }
+}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/CdmPreferencePage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/CdmPreferencePage.java
index e5792c12d..1738bf9ec 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/CdmPreferencePage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/CdmPreferencePage.java
@@ -10,6 +10,10 @@ package eu.etaxonomy.taxeditor.preference.menu;
 
 import org.eclipse.jface.preference.PreferencePage;
 import org.eclipse.jface.resource.ImageDescriptor;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Composite;
 
 import eu.etaxonomy.taxeditor.preference.IE4PreferencePage;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
@@ -23,6 +27,8 @@ public abstract class CdmPreferencePage extends PreferencePage implements IE4Pre
 
     private boolean isApply;
 
+    protected boolean isAdminPreference = false;
+
     public CdmPreferencePage() {
         this(null, null);
     }
@@ -60,7 +66,17 @@ public abstract class CdmPreferencePage extends PreferencePage implements IE4Pre
         isApply = false;
     }
 
-
+    protected Composite createComposite(Composite composite) {
+        Composite activateComp = new Composite(composite, SWT.NULL);
+        GridLayout layout = new GridLayout();
+        if (isAdminPreference){
+            layout.numColumns = 2;
+        }
+        activateComp.setLayout(layout);
+        GridData gridData = new GridData(GridData.HORIZONTAL_ALIGN_FILL | GridData.VERTICAL_ALIGN_FILL);
+        activateComp.setLayoutData(gridData);
+        return activateComp;
+    }
 
 
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/wizard/AvailableDistributionStatusAdminWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/wizard/AvailableDistributionStatusAdminWizard.java
new file mode 100755
index 000000000..8c631dbd8
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/wizard/AvailableDistributionStatusAdminWizard.java
@@ -0,0 +1,122 @@
+/**
+* Copyright (C) 2018 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.taxeditor.preference.wizard;
+
+import java.util.ArrayList;
+import java.util.Collection;
+import java.util.List;
+import java.util.UUID;
+
+import org.apache.commons.lang.StringUtils;
+import org.eclipse.jface.wizard.IWizardPage;
+import org.eclipse.jface.wizard.Wizard;
+
+import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
+import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
+import eu.etaxonomy.cdm.api.service.ITermService;
+import eu.etaxonomy.cdm.model.common.DefinedTermBase;
+import eu.etaxonomy.cdm.model.metadata.CdmPreference;
+import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
+import eu.etaxonomy.cdm.persistence.dto.TermDto;
+import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
+import eu.etaxonomy.taxeditor.l10n.Messages;
+import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
+import eu.etaxonomy.taxeditor.store.CdmStore;
+
+/**
+ * @author k.luther
+ * @since 19.11.2018
+ *
+ */
+public class AvailableDistributionStatusAdminWizard extends Wizard implements IConversationEnabled{
+    private ConversationHolder conversation;
+    private final AvailableDistributionStatusPage aPage;
+    CdmPreference pref;
+
+    public AvailableDistributionStatusAdminWizard() {
+        setWindowTitle(Messages.AvailableDistributionStatusWizard_WIZARD_TITLE);
+        // TODO if preferenceStore has elements checked load elements in wizard
+        pref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.AvailableDistributionStatus);
+        aPage = new AvailableDistributionStatusPage(Messages.AvailableDistributionStatusWizard_PAGE_TITLE, pref);
+    }
+
+    @Override
+    public void addPages() {
+        addPage(aPage);
+    }
+
+    @Override
+    public IWizardPage getPage(String pageName) {
+
+        return aPage;
+    }
+
+    @Override
+    public int getPageCount() {
+       return 1;
+    }
+
+    @Override
+    public IWizardPage[] getPages() {
+        IWizardPage[] pages = new IWizardPage[1];
+        pages [0] = aPage;
+        return pages;
+    }
+
+    @Override
+    public String getWindowTitle() {
+
+        return Messages.AvailableDistributionStatusWizard_WINDOW_TITLE;
+    }
+
+    @Override
+    public boolean performCancel() {
+        // TODO Auto-generated method stub
+        return true;
+    }
+
+    @Override
+    public boolean performFinish() {
+        Object[] checkedElements = aPage.getViewer().getCheckedElements();
+
+        List<UUID> listUIIDChecked = new ArrayList<>();
+        List<DefinedTermBase> preferredTerms = new ArrayList<>();
+        for (Object o : checkedElements) {
+            if(o instanceof TermDto){
+                TermDto termDto = (TermDto) o;
+                listUIIDChecked.add(termDto.getUuid());
+                preferredTerms.add(CdmStore.getService(ITermService.class).load(termDto.getUuid()));
+            }
+        }
+        String saveCheckedElements = StringUtils.join(listUIIDChecked, ";"); //$NON-NLS-1$
+        pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.AvailableDistributionStatus, saveCheckedElements);
+        pref.setAllowOverride(false);
+        PreferencesUtil.setPreferenceToDB(pref);
+        Collection<DefinedTermBase> terms = new ArrayList<>();
+        aPage.getVocabularies().get(0).getTerms()
+        .forEach(dto -> terms.add(CdmStore.getService(ITermService.class).load(dto.getUuid())));
+        CdmStore.getTermManager().setPreferredTerms(preferredTerms, terms);
+        PreferencesUtil.firePreferencesChanged(this.getClass());
+        return true;
+    }
+
+    @Override
+    public void update(CdmDataChangeMap changeEvents) {
+
+    }
+
+    @Override
+    public ConversationHolder getConversationHolder() {
+        if (conversation == null) {
+            conversation = CdmStore.createConversation();
+        }
+        return conversation;
+    }
+
+}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/e4/SaveImportedSpecimenActionE4.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/e4/SaveImportedSpecimenActionE4.java
index 4bfd4ecf6..b7b58604c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/e4/SaveImportedSpecimenActionE4.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/e4/SaveImportedSpecimenActionE4.java
@@ -94,7 +94,7 @@ public class SaveImportedSpecimenActionE4 extends Action {
             if (!response.getDataSetUri().equals(dataSetUri)){
                 dataSetUri = response.getDataSetUri();
 
-                configuratorAbcd = PreferencesUtil.getAbcdImportConfigurationPreference();
+                configuratorAbcd = PreferencesUtil.getLocalAbcdImportConfigurator();
                 configuratorAbcd.setSourceUri(dataSetUri);
                 //                        configuratorAbcd.addMediaAsMediaSpecimen(true);
                 //                        configuratorAbcd.setIgnoreAuthorship(true);
